Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.ui
Interface IDebugUIConstants

public interface IDebugUIConstants

Constant definitions for debug UI plug-in.

Popup menus in the debug UI support action contribution via the `org.eclipse.ui.popupMenus` extension. Actions may be contributed to any group on the menu. To facilitate insertion of actions inbetween existing groups, empty groups have been defined in the menu. Each group prefixed by "empty" indicates an empty group.

### Debug View Popup Menu

- Empty edit group
- Edit group
- Copy stack action
- Empty step group
- Step group
- Step into group
- Step into action
- Step over group
- Step over action
- Step return group
- Step return action
- Empty thread group
- Thread group
- Resume action
- Suspend action
- Terminate action
- Disconnect action
- Empty launch group
- Launch group
- Remove all terminated action
- Terminate and Remove action
- Relaunch action
- Terminate all action
- Empty render group
- Render group
- Property group
- Property dialog action
- Additions group

### Variables View Popup Menus

- Empty variable group
- Variable group
- Select all action
- Copy to clipboard action
- Change value action
- Empty render group
- Render group
- Show type names action
- Additions group

### Breakpoints View Popup Menu

- Empty Navigation group
- Navigation group
- Open action
- Empty Breakpoint goup
- Breakpoint group
- Enable action
- Disable action
- Remove action
- Remove all action
- Empty render group
- Render group
- Show breakpoints for model action
- Additions group

### Expressions View Popup Menu

- Empty Expression group
- Expression group
- Select all action
- Copy to clipboard action
- Remove action
- Remove all action
- Change variable value action
- Empty Render group
- Render group
- Show type names action
- Additions group

Constants only; not intended to be implemented or extended.

Field Summary
`static String` | `ATTR_CONTAINER` Launch configuration attribute - the container where the configuration file is stored.
`static String` | `ATTR_DEBUG_FAVORITE` Deprecated. use `ATTR_FAVORITE_GROUPS` instead
`static String` | `ATTR_FAVORITE_GROUPS` Launch configuration attribute - a list of launch group identifiers representing the favorite histories a launch configuration should appear in.
`static String` | `ATTR_LAUNCH_IN_BACKGROUND` Launch configuration attribute - a boolean value indicating whether a configuration should be launched in the background.
`static String` | `ATTR_PRIVATE` Launch configuration attribute - a boolean value that indicates if the launch configuration is 'private'.
`static String` | `ATTR_RUN_FAVORITE` Deprecated. use `ATTR_FAVORITE_GROUPS` instead
`static String` | `ATTR_TARGET_DEBUG_PERSPECTIVE` Deprecated. Since 3.0, this launch configuration attribute is no longer supported. Use `DebugUITools.setLaunchPerspective(ILaunchConfigurationType type, String mode, String perspective)`.
`static String` | `ATTR_TARGET_RUN_PERSPECTIVE` Deprecated. Since 3.0, this launch configuration attribute is no longer supported. Use `DebugUITools.setLaunchPerspective(ILaunchConfigurationType type, String mode, String perspective)`.
`static String` | `BREAKPOINT_GROUP` Identifier for a breakpoint group in a menu (value `"breakpointGroup"`).
`static String` | `DEBUG_ACTION_SET` Debug action set identifier (value `"org.eclipse.debug.ui.debugActionSet"`).
`static String` | `EDIT_GROUP` Identifier for an edit group in a menu (value `"editGroup"`).
`static String` | `EMPTY_BREAKPOINT_GROUP` Identifier for an empty group preceding a breakpoint group in a menu (value `"emptyBreakpointGroup"`).
`static String` | `EMPTY_EDIT_GROUP` Identifier for an empty group preceding an edit group in a menu (value `"emptyEditGroup"`).
`static String` | `EMPTY_EXPRESSION_GROUP` Identifier for an empty group preceding an expression group in a menu (value `"emptyExpressionGroup"`).
`static String` | `EMPTY_LAUNCH_GROUP` Identifier for an empty group preceding a launch group in a menu (value `"emptyLaunchGroup"`).
`static String` | `EMPTY_NAVIGATION_GROUP` Identifier for an empty group preceding a navigation group in a menu (value `"emptyNavigationGroup"`).
`static String` | `EMPTY_REGISTER_GROUP` Identifier for an empty group preceding a register group in a menu (value `"emptyRegisterGroup"`).
`static String` | `EMPTY_RENDER_GROUP` Identifier for an empty group preceding a render group in a menu (value `"emptyRenderGroup"`).
`static String` | `EMPTY_STEP_GROUP` Identifier for an empty group preceding a step group in a menu (value `"emptyStepGroup"`).
`static String` | `EMPTY_THREAD_GROUP` Identifier for an empty group preceding a thread group in a menu (value `"emptyThreadGroup"`).
`static String` | `EMPTY_VARIABLE_GROUP` Identifier for an empty group preceding a variable group in a menu (value `"emptyVariableGroup"`).
`static String` | `EXPRESSION_GROUP` Identifier for an expression group in a menu (value `"expressionGroup"`).
`static String` | `EXTENSION_POINT_CONSOLE_COLOR_PROVIDERS` Console document color provider extension point identifier (value `"consoleColorProviders"`).
`static String` | `EXTENSION_POINT_CONSOLE_LINE_TRACKERS` Console line trackers extension point identifier (value `"consoleLineTrackers"`).
`static String` | `EXTENSION_POINT_DEBUG_ACTION_GROUPS` Deprecated. The Debug Action Groups extension point no longer exists. Product vendors should use Activities instead.
`static String` | `EXTENSION_POINT_LAUNCH_CONFIGURATION_TAB_GROUPS` Launch configuration tab groups extension point identifier (value `"launchConfigurationTabGroups"`).
`static String` | `EXTENSION_POINT_LAUNCH_CONFIGURATION_TYPE_IMAGES` Extension point for launch configuration type images.
`static String` | `EXTENSION_POINT_LAUNCH_GROUPS` Launch groups extension point identifier (value `"launchGroups"`).
`static String` | `EXTENSION_POINT_LAUNCH_SHORTCUTS` Launch shortcuts extension point identifier (value `"launchShortcuts"`).
`static String` | `EXTENSION_POINT_LAUNCH_VARIABLE_COMPONENTS` Launch variable components extension point identifier (value `"launchVariableComponents"`).
`static String` | `EXTENSION_POINT_OBJECT_BROWSERS` Variables content providers extension point identifier (value `"variablesContentProviders"`).
`static String` | `ID_BREAKPOINT_VIEW` Breakpoint view identifier (value `"org.eclipse.debug.ui.BreakpointView"`).
`static String` | `ID_CONSOLE_VIEW` Deprecated. Use org.eclipse.ui.console.IConsoleConstants.ID_CONSOLE_VIEW
`static String` | `ID_DEBUG_LAUNCH_GROUP` Identifier for the standard 'debug' launch group.
`static String` | `ID_DEBUG_MODEL_PRESENTATION` Debug model presentation simple extension point identifier (value `"debugModelPresentations"`).
`static String` | `ID_DEBUG_PERSPECTIVE` Debug perspective identifier (value `"org.eclipse.debug.ui.DebugPerspective"`).
`static String` | `ID_DEBUG_VIEW` Debug view identifier (value `"org.eclipse.debug.ui.DebugView"`).
`static String` | `ID_EXPRESSION_VIEW` Expression view identifier (value `"org.eclipse.debug.ui.ExpressionView"`).
`static String` | `ID_PROFILE_LAUNCH_GROUP` Identifier for the standard 'profile' launch group.
`static String` | `ID_REGISTER_VIEW` Register view identifier (value `"org.eclipse.debug.ui.RegisterView"`).
`static String` | `ID_RUN_LAUNCH_GROUP` Identifier for the standard 'run' launch group.
`static String` | `ID_STANDARD_ERROR_STREAM` Identifier for the standard error stream.
`static String` | `ID_STANDARD_INPUT_STREAM` Identifier for the standard input stream.
`static String` | `ID_STANDARD_OUTPUT_STREAM` Identifier for the standard out stream.
`static String` | `ID_VARIABLE_VIEW` Variable view identifier (value `"org.eclipse.debug.ui.VariableView"`).
`static String` | `IMG_ACT_DEBUG` Debug action image identifier.
`static String` | `IMG_ACT_RUN` Run action image identifier.
`static String` | `IMG_ACT_SYNCED` "Link with View" action image identifier.
`static String` | `IMG_DLCL_CONTENT_ASSIST` Content assist action image identifier (disabled).
`static String` | `IMG_ELCL_CONTENT_ASSIST` Content assist action image identifier (enabled).
`static String` | `IMG_LCL_CHANGE_VARIABLE_VALUE` Change variable value action image identifier.
`static String` | `IMG_LCL_CLEAR` Deprecated.
`static String` | `IMG_LCL_CONTENT_ASSIST` Content assist action image identifier.
`static String` | `IMG_LCL_DETAIL_PANE` Toggle detail pane action image identifier.
`static String` | `IMG_LCL_DETAIL_PANE_HIDE` Content assist action image identifier.
`static String` | `IMG_LCL_DETAIL_PANE_RIGHT` Content assist action image identifier.
`static String` | `IMG_LCL_DETAIL_PANE_UNDER` Content assist action image identifier.
`static String` | `IMG_LCL_DISCONNECT` Disconnect action image identifier
`static String` | `IMG_LCL_LOCK` Scroll lock action image identifier
`static String` | `IMG_LCL_REMOVE_ALL` Remove all action image identifier
`static String` | `IMG_LCL_TYPE_NAMES` Display variable type names action image identifier.
`static String` | `IMG_OBJS_BREAKPOINT` Enabled breakpoint image identifier.
`static String` | `IMG_OBJS_BREAKPOINT_DISABLED` Disabled breakpoint image identifier.
`static String` | `IMG_OBJS_DEBUG_TARGET` Running debug target image identifier.
`static String` | `IMG_OBJS_DEBUG_TARGET_SUSPENDED` Suspended debug target image identifier.
`static String` | `IMG_OBJS_DEBUG_TARGET_TERMINATED` Terminated debug target image identifier.
`static String` | `IMG_OBJS_ENV_VAR` Environment variable image identifier.
`static String` | `IMG_OBJS_ENVIRONMENT` Environment image identifier.
`static String` | `IMG_OBJS_EXPRESSION` Expression image identifier.
`static String` | `IMG_OBJS_LAUNCH_DEBUG` Debug mode launch image identifier.
`static String` | `IMG_OBJS_LAUNCH_RUN` Run mode launch image identifier.
`static String` | `IMG_OBJS_LAUNCH_RUN_TERMINATED` Terminated run mode launch image identifier.
`static String` | `IMG_OBJS_OS_PROCESS` Running system process image identifier.
`static String` | `IMG_OBJS_OS_PROCESS_TERMINATED` Terminated system process image identifier.
`static String` | `IMG_OBJS_REGISTER` Generic register image identifier.
`static String` | `IMG_OBJS_REGISTER_GROUP` Generic identifier of register group image.
`static String` | `IMG_OBJS_STACKFRAME` Stack frame (suspended) image identifier.
`static String` | `IMG_OBJS_STACKFRAME_RUNNING` Stack frame (running) image identifier.
`static String` | `IMG_OBJS_THREAD_RUNNING` Running thread image identifier.
`static String` | `IMG_OBJS_THREAD_SUSPENDED` Suspended thread image identifier.
`static String` | `IMG_OBJS_THREAD_TERMINATED` Terminated thread image identifier.
`static String` | `IMG_OBJS_VARIABLE` Generic variable image identifier.
`static String` | `IMG_OBJS_WATCHPOINT` Enabled watchpoint image identifier.
`static String` | `IMG_OBJS_WATCHPOINT_DISABLED` Disabled watchpoint image identifier.
`static String` | `IMG_OVR_ERROR` Error overlay image identifier.
`static String` | `IMG_PERSPECTIVE_DEBUG` Debug perspective image identifier
`static String` | `IMG_SKIP_BREAKPOINTS` "Skip Breakpoints" action image identifier
`static String` | `IMG_VIEW_BREAKPOINTS` Breakpoints view image identifier
`static String` | `IMG_VIEW_CONSOLE` Console view image identifier
`static String` | `IMG_VIEW_EXPRESSIONS` Expressions view image identifier
`static String` | `IMG_VIEW_LAUNCHES` Launches view image identifier
`static String` | `IMG_VIEW_VARIABLES` Variables view image identifier
`static String` | `IMG_WIZBAN_DEBUG` Debug wizard banner image identifier.
`static String` | `IMG_WIZBAN_RUN` Run wizard banner image identifier.
`static int` | `INTERNAL_ERROR` Status code indicating an unexpected internal error.
`static String` | `LAUNCH_ACTION_SET` Launch action set identifier (value `"org.eclipse.debug.ui.launchActionSet"`).
`static String` | `LAUNCH_GROUP` Identifier for a launch group in a menu (value `"launchGroup"`).
`static String` | `NAVIGATION_GROUP` Identifier for a navigation group in a menu (value `"navigationGroup"`).
`static String` | `OUTPUT_GROUP` Identifier for an output group in a menu (value `"outputGroup"`).
`static String` | `PERSPECTIVE_DEFAULT` Constant for referring to a default perspective.
`static String` | `PERSPECTIVE_NONE` Constant for referring to no perspective.
`static String` | `PLUGIN_ID` Debug UI plug-in identifier (value `"org.eclipse.debug.ui"`).
`static String` | `PREF_ACTIVATE_WORKBENCH` Boolean preference controlling whether the debugger will force activate the active shell/window of the Eclipse workbench when a breakpoint is hit.
`static String` | `PREF_AUTO_REMOVE_OLD_LAUNCHES` Boolean preference controlling automatic removal of terminated launches when a new launch is registered.
`static String` | `PREF_BUILD_BEFORE_LAUNCH` Boolean preference controlling whether a build is done before launching a program (if one is needed).
`static String` | `PREF_MANAGE_VIEW_PERSPECTIVES` String preference controlling in which perspectives view management will occur.
`static String` | `PREF_MAX_HISTORY_SIZE` Integer preference that specifies the length of the Run & Debug launch history lists.
`static String` | `PREF_REUSE_EDITOR` Boolean preference controlling whether the debugger re-uses non-dirty editors that it opens when displaying source.
`static String` | `PREF_SHOW_DEBUG_PERSPECTIVE_DEFAULT` String preference that identifies the default 'switch to perspective id' when debugging a launch configuration.
`static String` | `PREF_SHOW_DETAIL_PANE` Deprecated. no longer used
`static String` | `PREF_SHOW_RUN_PERSPECTIVE_DEFAULT` String preference that identifies the default 'switch to perspective id' when running a launch configuration.
`static String` | `PREF_SHOW_TYPE_NAMES` Deprecated. no longer used
`static String` | `PREF_SKIP_BREAKPOINTS_DURING_RUN_TO_LINE` Boolean preference controlling whether breakpoints are automatically skipped during a Run To Line operation.
`static String` | `PROPERTY_GROUP` Identifier for a property group in a menu (value `"propertyGroup"`).
`static String` | `REGISTER_GROUP` Identifier for a register group in a menu (value `"registerGroup"`).
`static String` | `RENDER_GROUP` Identifier for a render group in a menu or toolbar(value `"renderGroup"`).
`static int` | `STATUS_INVALID_EXTENSION_DEFINITION` Status indicating an invalid extension definition.
`static String` | `STEP_GROUP` Identifier for a step group in a menu or toolbar (value `"stepGroup"`).
`static String` | `STEP_INTO_GROUP` Identifier for a step into group in a menu or toolbar (value `"stepIntoGroup"`).
`static String` | `STEP_OVER_GROUP` Identifier for a step over group in a menu or toolbar (value `"stepOverGroup"`).
`static String` | `STEP_RETURN_GROUP` Identifier for a step return group in a menu or toolbar (value `"stepReturnGroup"`).
`static String` | `THREAD_GROUP` Identifier for a thread group in a menu or toolbar(value `"threadGroup"`).
`static String` | `VARIABLE_GROUP` Identifier for a variable group in a menu (value `"variableGroup"`).
`static String` | `VARIABLE_VIEW_DETAIL_ID` Id for the popup menu associated with the detail (text viewer) part of the VariableView
`static String` | `VARIABLE_VIEW_VARIABLE_ID` Id for the popup menu associated with the variables (tree viewer) part of the VariableView

Field Detail

### PLUGIN_ID

    public static final String PLUGIN_ID

  Debug UI plug-in identifier (value `"org.eclipse.debug.ui"`).

### ID_DEBUG_PERSPECTIVE

    public static final String ID_DEBUG_PERSPECTIVE

  Debug perspective identifier (value `"org.eclipse.debug.ui.DebugPerspective"`).

### PERSPECTIVE_NONE

    public static final String PERSPECTIVE_NONE

  Constant for referring to no perspective.

  See Also:
    Constant Field Values

### PERSPECTIVE_DEFAULT

    public static final String PERSPECTIVE_DEFAULT

  Constant for referring to a default perspective.

  See Also:
    Constant Field Values

### PREF_SHOW_RUN_PERSPECTIVE_DEFAULT

    public static final String PREF_SHOW_RUN_PERSPECTIVE_DEFAULT

  String preference that identifies the default 'switch to perspective id' when running a launch configuration. This default is used if a particular launch configuration does not override the 'switch to perspective when in run mode' attribute with something else.

### PREF_SHOW_DEBUG_PERSPECTIVE_DEFAULT

    public static final String PREF_SHOW_DEBUG_PERSPECTIVE_DEFAULT

  String preference that identifies the default 'switch to perspective id' when debugging a launch configuration. This default is used if a particular launch configuration does not override the 'switch to perspective when in debug mode' attribute with something else.

### PREF_BUILD_BEFORE_LAUNCH

    public static final String PREF_BUILD_BEFORE_LAUNCH

  Boolean preference controlling whether a build is done before launching a program (if one is needed).

### PREF_AUTO_REMOVE_OLD_LAUNCHES

    public static final String PREF_AUTO_REMOVE_OLD_LAUNCHES

  Boolean preference controlling automatic removal of terminated launches when a new launch is registered.

  Since:
    2.0

### PREF_REUSE_EDITOR

    public static final String PREF_REUSE_EDITOR

  Boolean preference controlling whether the debugger re-uses non-dirty editors that it opens when displaying source. When `true` the debugger re-uses the same editor when showing source for a selected stack frame (unless the editor is dirty).

  Since:
    2.0

### PREF_MAX_HISTORY_SIZE

    public static final String PREF_MAX_HISTORY_SIZE

  Integer preference that specifies the length of the Run & Debug launch history lists.

  Since:
    2.0

### PREF_SHOW_TYPE_NAMES

    public static final String PREF_SHOW_TYPE_NAMES

  Deprecated. no longer used

  Boolean preference controlling whether the debugger shows types names in its variable view. When `true` the debugger will display type names in new variable views.

  Since:
    2.0

### PREF_SHOW_DETAIL_PANE

    public static final String PREF_SHOW_DETAIL_PANE

  Deprecated. no longer used

  Boolean preference controlling whether the debugger shows the detail pane in its variable view. When `true` the debugger will show the detail panes in new variable views.

  Since:
    2.0

### PREF_ACTIVATE_WORKBENCH

    public static final String PREF_ACTIVATE_WORKBENCH

  Boolean preference controlling whether the debugger will force activate the active shell/window of the Eclipse workbench when a breakpoint is hit.

  Since:
    2.1

### PREF_SKIP_BREAKPOINTS_DURING_RUN_TO_LINE

    public static final String PREF_SKIP_BREAKPOINTS_DURING_RUN_TO_LINE

  Boolean preference controlling whether breakpoints are automatically skipped during a Run To Line operation. If true, breakpoints will be skipped automatically during Run To Line. If false, they will be hit.

  Since:
    3.0

### PREF_MANAGE_VIEW_PERSPECTIVES

    public static final String PREF_MANAGE_VIEW_PERSPECTIVES

  String preference controlling in which perspectives view management will occur. The value is a comma-separated list of plug-in identifiers.

  Since:
    3.0

### ID_DEBUG_VIEW

    public static final String ID_DEBUG_VIEW

  Debug view identifier (value `"org.eclipse.debug.ui.DebugView"`).

  See Also:
    Constant Field Values

### ID_BREAKPOINT_VIEW

    public static final String ID_BREAKPOINT_VIEW

  Breakpoint view identifier (value `"org.eclipse.debug.ui.BreakpointView"`).

  See Also:
    Constant Field Values

### ID_VARIABLE_VIEW

    public static final String ID_VARIABLE_VIEW

  Variable view identifier (value `"org.eclipse.debug.ui.VariableView"`).

  See Also:
    Constant Field Values

### ID_EXPRESSION_VIEW

    public static final String ID_EXPRESSION_VIEW

  Expression view identifier (value `"org.eclipse.debug.ui.ExpressionView"`).

  Since:
    2.0
  See Also:
    Constant Field Values

### ID_REGISTER_VIEW

    public static final String ID_REGISTER_VIEW

  Register view identifier (value `"org.eclipse.debug.ui.RegisterView"`).

  Since:
    3.0
  See Also:
    Constant Field Values

### ID_CONSOLE_VIEW

    public static final String ID_CONSOLE_VIEW

  Deprecated. Use org.eclipse.ui.console.IConsoleConstants.ID_CONSOLE_VIEW

  Console view identifier (value `"org.eclipse.debug.ui.ConsoleView"`).

  Since:
    3.0
  See Also:
    Constant Field Values

### ID_STANDARD_OUTPUT_STREAM

    public static final String ID_STANDARD_OUTPUT_STREAM

  Identifier for the standard out stream.

  Since:
    2.1
  See Also:
    `IConsoleColorProvider.getColor(String)`

### ID_STANDARD_ERROR_STREAM

    public static final String ID_STANDARD_ERROR_STREAM

  Identifier for the standard error stream.

  Since:
    2.1
  See Also:
    `IConsoleColorProvider.getColor(String)`

### ID_STANDARD_INPUT_STREAM

    public static final String ID_STANDARD_INPUT_STREAM

  Identifier for the standard input stream.

  Since:
    2.1
  See Also:
    `IConsoleColorProvider.getColor(String)`

### IMG_ACT_DEBUG

    public static final String IMG_ACT_DEBUG

  Debug action image identifier.

  See Also:
    Constant Field Values

### IMG_ACT_RUN

    public static final String IMG_ACT_RUN

  Run action image identifier.

  See Also:
    Constant Field Values

### IMG_ACT_SYNCED

    public static final String IMG_ACT_SYNCED

  "Link with View" action image identifier.

  See Also:
    Constant Field Values

### IMG_SKIP_BREAKPOINTS

    public static final String IMG_SKIP_BREAKPOINTS

  "Skip Breakpoints" action image identifier

  See Also:
    Constant Field Values

### IMG_LCL_CLEAR

    public static final String IMG_LCL_CLEAR

  Deprecated.

  Clear action image identifier.

  See Also:
    Constant Field Values

### IMG_LCL_TYPE_NAMES

    public static final String IMG_LCL_TYPE_NAMES

  Display variable type names action image identifier.

  See Also:
    Constant Field Values

### IMG_LCL_DETAIL_PANE

    public static final String IMG_LCL_DETAIL_PANE

  Toggle detail pane action image identifier.

  See Also:
    Constant Field Values

### IMG_LCL_CHANGE_VARIABLE_VALUE

    public static final String IMG_LCL_CHANGE_VARIABLE_VALUE

  Change variable value action image identifier.

  See Also:
    Constant Field Values

### IMG_LCL_DISCONNECT

    public static final String IMG_LCL_DISCONNECT

  Disconnect action image identifier

  Since:
    2.0
  See Also:
    Constant Field Values

### IMG_LCL_LOCK

    public static final String IMG_LCL_LOCK

  Scroll lock action image identifier

  Since:
    2.1
  See Also:
    Constant Field Values

### IMG_LCL_REMOVE_ALL

    public static final String IMG_LCL_REMOVE_ALL

  Remove all action image identifier

  Since:
    2.1
  See Also:
    Constant Field Values

### IMG_LCL_CONTENT_ASSIST

    public static final String IMG_LCL_CONTENT_ASSIST

  Content assist action image identifier.

  See Also:
    Constant Field Values

### IMG_ELCL_CONTENT_ASSIST

    public static final String IMG_ELCL_CONTENT_ASSIST

  Content assist action image identifier (enabled).

  See Also:
    Constant Field Values

### IMG_DLCL_CONTENT_ASSIST

    public static final String IMG_DLCL_CONTENT_ASSIST

  Content assist action image identifier (disabled).

  See Also:
    Constant Field Values

### IMG_LCL_DETAIL_PANE_UNDER

    public static final String IMG_LCL_DETAIL_PANE_UNDER

  Content assist action image identifier.

  See Also:
    Constant Field Values

### IMG_LCL_DETAIL_PANE_RIGHT

    public static final String IMG_LCL_DETAIL_PANE_RIGHT

  Content assist action image identifier.

  See Also:
    Constant Field Values

### IMG_LCL_DETAIL_PANE_HIDE

    public static final String IMG_LCL_DETAIL_PANE_HIDE

  Content assist action image identifier.

  See Also:
    Constant Field Values

### IMG_OBJS_LAUNCH_DEBUG

    public static final String IMG_OBJS_LAUNCH_DEBUG

  Debug mode launch image identifier.

  See Also:
    Constant Field Values

### IMG_OBJS_LAUNCH_RUN

    public static final String IMG_OBJS_LAUNCH_RUN

  Run mode launch image identifier.

  See Also:
    Constant Field Values

### IMG_OBJS_LAUNCH_RUN_TERMINATED

    public static final String IMG_OBJS_LAUNCH_RUN_TERMINATED

  Terminated run mode launch image identifier.

  See Also:
    Constant Field Values

### IMG_OBJS_DEBUG_TARGET

    public static final String IMG_OBJS_DEBUG_TARGET

  Running debug target image identifier.

  See Also:
    Constant Field Values

### IMG_OBJS_DEBUG_TARGET_SUSPENDED

    public static final String IMG_OBJS_DEBUG_TARGET_SUSPENDED

  Suspended debug target image identifier.

  See Also:
    Constant Field Values

### IMG_OBJS_DEBUG_TARGET_TERMINATED

    public static final String IMG_OBJS_DEBUG_TARGET_TERMINATED

  Terminated debug target image identifier.

  See Also:
    Constant Field Values

### IMG_OBJS_THREAD_RUNNING

    public static final String IMG_OBJS_THREAD_RUNNING

  Running thread image identifier.

  See Also:
    Constant Field Values

### IMG_OBJS_THREAD_SUSPENDED

    public static final String IMG_OBJS_THREAD_SUSPENDED

  Suspended thread image identifier.

  See Also:
    Constant Field Values

### IMG_OBJS_THREAD_TERMINATED

    public static final String IMG_OBJS_THREAD_TERMINATED

  Terminated thread image identifier.

  See Also:
    Constant Field Values

### IMG_OBJS_STACKFRAME

    public static final String IMG_OBJS_STACKFRAME

  Stack frame (suspended) image identifier.

  See Also:
    Constant Field Values

### IMG_OBJS_STACKFRAME_RUNNING

    public static final String IMG_OBJS_STACKFRAME_RUNNING

  Stack frame (running) image identifier.

  See Also:
    Constant Field Values

### IMG_OBJS_BREAKPOINT

    public static final String IMG_OBJS_BREAKPOINT

  Enabled breakpoint image identifier.

  See Also:
    Constant Field Values

### IMG_OBJS_BREAKPOINT_DISABLED

    public static final String IMG_OBJS_BREAKPOINT_DISABLED

  Disabled breakpoint image identifier.

  See Also:
    Constant Field Values

### IMG_OBJS_WATCHPOINT

    public static final String IMG_OBJS_WATCHPOINT

  Enabled watchpoint image identifier.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_OBJS_WATCHPOINT_DISABLED

    public static final String IMG_OBJS_WATCHPOINT_DISABLED

  Disabled watchpoint image identifier.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_OBJS_OS_PROCESS

    public static final String IMG_OBJS_OS_PROCESS

  Running system process image identifier.

  See Also:
    Constant Field Values

### IMG_OBJS_OS_PROCESS_TERMINATED

    public static final String IMG_OBJS_OS_PROCESS_TERMINATED

  Terminated system process image identifier.

  See Also:
    Constant Field Values

### IMG_OBJS_EXPRESSION

    public static final String IMG_OBJS_EXPRESSION

  Expression image identifier.

  Since:
    2.0
  See Also:
    Constant Field Values

### IMG_OBJS_VARIABLE

    public static final String IMG_OBJS_VARIABLE

  Generic variable image identifier.

  Since:
    2.0
  See Also:
    Constant Field Values

### IMG_OBJS_REGISTER_GROUP

    public static final String IMG_OBJS_REGISTER_GROUP

  Generic identifier of register group image.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_OBJS_REGISTER

    public static final String IMG_OBJS_REGISTER

  Generic register image identifier.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_OBJS_ENVIRONMENT

    public static final String IMG_OBJS_ENVIRONMENT

  Environment image identifier.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_OBJS_ENV_VAR

    public static final String IMG_OBJS_ENV_VAR

  Environment variable image identifier.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_VIEW_LAUNCHES

    public static final String IMG_VIEW_LAUNCHES

  Launches view image identifier

  Since:
    2.0
  See Also:
    Constant Field Values

### IMG_VIEW_BREAKPOINTS

    public static final String IMG_VIEW_BREAKPOINTS

  Breakpoints view image identifier

  Since:
    2.0
  See Also:
    Constant Field Values

### IMG_VIEW_VARIABLES

    public static final String IMG_VIEW_VARIABLES

  Variables view image identifier

  Since:
    2.0
  See Also:
    Constant Field Values

### IMG_VIEW_EXPRESSIONS

    public static final String IMG_VIEW_EXPRESSIONS

  Expressions view image identifier

  Since:
    2.0
  See Also:
    Constant Field Values

### IMG_VIEW_CONSOLE

    public static final String IMG_VIEW_CONSOLE

  Console view image identifier

  Since:
    2.0
  See Also:
    Constant Field Values

### IMG_PERSPECTIVE_DEBUG

    public static final String IMG_PERSPECTIVE_DEBUG

  Debug perspective image identifier

  Since:
    2.0
  See Also:
    Constant Field Values

### IMG_WIZBAN_DEBUG

    public static final String IMG_WIZBAN_DEBUG

  Debug wizard banner image identifier.

  See Also:
    Constant Field Values

### IMG_WIZBAN_RUN

    public static final String IMG_WIZBAN_RUN

  Run wizard banner image identifier.

  See Also:
    Constant Field Values

### IMG_OVR_ERROR

    public static final String IMG_OVR_ERROR

  Error overlay image identifier.

  See Also:
    Constant Field Values

### DEBUG_ACTION_SET

    public static final String DEBUG_ACTION_SET

  Debug action set identifier (value `"org.eclipse.debug.ui.debugActionSet"`).

### LAUNCH_ACTION_SET

    public static final String LAUNCH_ACTION_SET

  Launch action set identifier (value `"org.eclipse.debug.ui.launchActionSet"`).

### ID_DEBUG_LAUNCH_GROUP

    public static final String ID_DEBUG_LAUNCH_GROUP

  Identifier for the standard 'debug' launch group.

  Since:
    2.1

### ID_RUN_LAUNCH_GROUP

    public static final String ID_RUN_LAUNCH_GROUP

  Identifier for the standard 'run' launch group.

  Since:
    2.1

### ID_PROFILE_LAUNCH_GROUP

    public static final String ID_PROFILE_LAUNCH_GROUP

  Identifier for the standard 'profile' launch group.

  Since:
    3.0

### EMPTY_EDIT_GROUP

    public static final String EMPTY_EDIT_GROUP

  Identifier for an empty group preceding an edit group in a menu (value `"emptyEditGroup"`).

  See Also:
    Constant Field Values

### EDIT_GROUP

    public static final String EDIT_GROUP

  Identifier for an edit group in a menu (value `"editGroup"`).

  See Also:
    Constant Field Values

### EMPTY_STEP_GROUP

    public static final String EMPTY_STEP_GROUP

  Identifier for an empty group preceding a step group in a menu (value `"emptyStepGroup"`).

  See Also:
    Constant Field Values

### STEP_GROUP

    public static final String STEP_GROUP

  Identifier for a step group in a menu or toolbar (value `"stepGroup"`).

  See Also:
    Constant Field Values

### STEP_INTO_GROUP

    public static final String STEP_INTO_GROUP

  Identifier for a step into group in a menu or toolbar (value `"stepIntoGroup"`).

  See Also:
    Constant Field Values

### STEP_OVER_GROUP

    public static final String STEP_OVER_GROUP

  Identifier for a step over group in a menu or toolbar (value `"stepOverGroup"`).

  See Also:
    Constant Field Values

### STEP_RETURN_GROUP

    public static final String STEP_RETURN_GROUP

  Identifier for a step return group in a menu or toolbar (value `"stepReturnGroup"`).

  See Also:
    Constant Field Values

### EMPTY_THREAD_GROUP

    public static final String EMPTY_THREAD_GROUP

  Identifier for an empty group preceding a thread group in a menu (value `"emptyThreadGroup"`).

  See Also:
    Constant Field Values

### THREAD_GROUP

    public static final String THREAD_GROUP

  Identifier for a thread group in a menu or toolbar(value `"threadGroup"`).

  See Also:
    Constant Field Values

### EMPTY_LAUNCH_GROUP

    public static final String EMPTY_LAUNCH_GROUP

  Identifier for an empty group preceding a launch group in a menu (value `"emptyLaunchGroup"`).

  See Also:
    Constant Field Values

### LAUNCH_GROUP

    public static final String LAUNCH_GROUP

  Identifier for a launch group in a menu (value `"launchGroup"`).

  See Also:
    Constant Field Values

### OUTPUT_GROUP

    public static final String OUTPUT_GROUP

  Identifier for an output group in a menu (value `"outputGroup"`).

  See Also:
    Constant Field Values

### EMPTY_VARIABLE_GROUP

    public static final String EMPTY_VARIABLE_GROUP

  Identifier for an empty group preceding a variable group in a menu (value `"emptyVariableGroup"`).

  See Also:
    Constant Field Values

### VARIABLE_GROUP

    public static final String VARIABLE_GROUP

  Identifier for a variable group in a menu (value `"variableGroup"`).

  See Also:
    Constant Field Values

### EMPTY_NAVIGATION_GROUP

    public static final String EMPTY_NAVIGATION_GROUP

  Identifier for an empty group preceding a navigation group in a menu (value `"emptyNavigationGroup"`).

  See Also:
    Constant Field Values

### NAVIGATION_GROUP

    public static final String NAVIGATION_GROUP

  Identifier for a navigation group in a menu (value `"navigationGroup"`).

  See Also:
    Constant Field Values

### EMPTY_BREAKPOINT_GROUP

    public static final String EMPTY_BREAKPOINT_GROUP

  Identifier for an empty group preceding a breakpoint group in a menu (value `"emptyBreakpointGroup"`).

  See Also:
    Constant Field Values

### BREAKPOINT_GROUP

    public static final String BREAKPOINT_GROUP

  Identifier for a breakpoint group in a menu (value `"breakpointGroup"`).

  See Also:
    Constant Field Values

### EMPTY_EXPRESSION_GROUP

    public static final String EMPTY_EXPRESSION_GROUP

  Identifier for an empty group preceding an expression group in a menu (value `"emptyExpressionGroup"`).

  Since:
    2.0
  See Also:
    Constant Field Values

### EXPRESSION_GROUP

    public static final String EXPRESSION_GROUP

  Identifier for an expression group in a menu (value `"expressionGroup"`).

  Since:
    2.0
  See Also:
    Constant Field Values

### EMPTY_RENDER_GROUP

    public static final String EMPTY_RENDER_GROUP

  Identifier for an empty group preceding a render group in a menu (value `"emptyRenderGroup"`).

  See Also:
    Constant Field Values

### RENDER_GROUP

    public static final String RENDER_GROUP

  Identifier for a render group in a menu or toolbar(value `"renderGroup"`).

  See Also:
    Constant Field Values

### PROPERTY_GROUP

    public static final String PROPERTY_GROUP

  Identifier for a property group in a menu (value `"propertyGroup"`).

  See Also:
    Constant Field Values

### EMPTY_REGISTER_GROUP

    public static final String EMPTY_REGISTER_GROUP

  Identifier for an empty group preceding a register group in a menu (value `"emptyRegisterGroup"`).

  See Also:
    Constant Field Values

### REGISTER_GROUP

    public static final String REGISTER_GROUP

  Identifier for a register group in a menu (value `"registerGroup"`).

  See Also:
    Constant Field Values

### VARIABLE_VIEW_VARIABLE_ID

    public static final String VARIABLE_VIEW_VARIABLE_ID

  Id for the popup menu associated with the variables (tree viewer) part of the VariableView

  See Also:
    Constant Field Values

### VARIABLE_VIEW_DETAIL_ID

    public static final String VARIABLE_VIEW_DETAIL_ID

  Id for the popup menu associated with the detail (text viewer) part of the VariableView

  See Also:
    Constant Field Values

### STATUS_INVALID_EXTENSION_DEFINITION

    public static final int STATUS_INVALID_EXTENSION_DEFINITION

  Status indicating an invalid extension definition.

  See Also:
    Constant Field Values

### INTERNAL_ERROR

    public static final int INTERNAL_ERROR

  Status code indicating an unexpected internal error.

  See Also:
    Constant Field Values

### ATTR_TARGET_RUN_PERSPECTIVE

    public static final String ATTR_TARGET_RUN_PERSPECTIVE

  Deprecated. Since 3.0, this launch configuration attribute is no longer supported. Use `DebugUITools.setLaunchPerspective(ILaunchConfigurationType type, String mode, String perspective)`.

  Launch configuration attribute - the perspective to switch to when a launch configuration is launched in run mode (value `org.eclipse.debug.ui.target_run_perspective`). Value is a string corresponding to a perspective identifier, or `null` indicating no perspective change.

  Since:
    2.0

### ATTR_TARGET_DEBUG_PERSPECTIVE

    public static final String ATTR_TARGET_DEBUG_PERSPECTIVE

  Deprecated. Since 3.0, this launch configuration attribute is no longer supported. Use `DebugUITools.setLaunchPerspective(ILaunchConfigurationType type, String mode, String perspective)`.

  Launch configuration attribute - the perspective to switch to when a launch configuration is launched in debug mode (value `org.eclipse.debug.ui.target_debug_perspective`). Value is a string corresponding to a perspective identifier, or `null` indicating no perspective change.

  Since:
    2.0

### ATTR_CONTAINER

    public static final String ATTR_CONTAINER

  Launch configuration attribute - the container where the configuration file is stored. The container is set via the 'setContainer()' call on ILaunchConfigurationWorkingCopy. This constant is only needed for persisting and reading the default value of the container value for individual resources.

  Since:
    2.0

### ATTR_PRIVATE

    public static final String ATTR_PRIVATE

  Launch configuration attribute - a boolean value that indicates if the launch configuration is 'private'. A private configuration is one that does not appear to the user in the launch history or the launch configuration dialog.

  Since:
    2.0

### ATTR_DEBUG_FAVORITE

    public static final String ATTR_DEBUG_FAVORITE

  Deprecated. use `ATTR_FAVORITE_GROUPS` instead

  Launch configuration attribute - a boolean value that indicates if the launch configuration is displayed in the debug favorites menu. Default value is `false` if absent.

  Since:
    2.0

### ATTR_RUN_FAVORITE

    public static final String ATTR_RUN_FAVORITE

  Deprecated. use `ATTR_FAVORITE_GROUPS` instead

  Launch configuration attribute - a boolean value that indicates if the launch configuration is displayed in the run favorites menu.Default value is `false` if absent.

  Since:
    2.0

### ATTR_FAVORITE_GROUPS

    public static final String ATTR_FAVORITE_GROUPS

  Launch configuration attribute - a list of launch group identifiers representing the favorite histories a launch configuration should appear in. When `null`, the configuration does not appear in any favorite lists.

  Since:
    2.1

### ATTR_LAUNCH_IN_BACKGROUND

    public static final String ATTR_LAUNCH_IN_BACKGROUND

  Launch configuration attribute - a boolean value indicating whether a configuration should be launched in the background. Default value is `true`.

  Since:
    3.0

### ID_DEBUG_MODEL_PRESENTATION

    public static final String ID_DEBUG_MODEL_PRESENTATION

  Debug model presentation simple extension point identifier (value `"debugModelPresentations"`).

  See Also:
    Constant Field Values

### EXTENSION_POINT_DEBUG_ACTION_GROUPS

    public static final String EXTENSION_POINT_DEBUG_ACTION_GROUPS

  Deprecated. The Debug Action Groups extension point no longer exists. Product vendors should use Activities instead.

  Debug action groups extension point identifier (value `"debugActionGroups"`).

  Since:
    2.0
  See Also:
    Constant Field Values

### EXTENSION_POINT_LAUNCH_CONFIGURATION_TAB_GROUPS

    public static final String EXTENSION_POINT_LAUNCH_CONFIGURATION_TAB_GROUPS

  Launch configuration tab groups extension point identifier (value `"launchConfigurationTabGroups"`).

  Since:
    2.0
  See Also:
    Constant Field Values

### EXTENSION_POINT_LAUNCH_SHORTCUTS

    public static final String EXTENSION_POINT_LAUNCH_SHORTCUTS

  Launch shortcuts extension point identifier (value `"launchShortcuts"`).

  Since:
    2.0
  See Also:
    Constant Field Values

### EXTENSION_POINT_LAUNCH_CONFIGURATION_TYPE_IMAGES

    public static final String EXTENSION_POINT_LAUNCH_CONFIGURATION_TYPE_IMAGES

  Extension point for launch configuration type images.

  Since:
    2.0
  See Also:
    Constant Field Values

### EXTENSION_POINT_CONSOLE_COLOR_PROVIDERS

    public static final String EXTENSION_POINT_CONSOLE_COLOR_PROVIDERS

  Console document color provider extension point identifier (value `"consoleColorProviders"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### EXTENSION_POINT_LAUNCH_GROUPS

    public static final String EXTENSION_POINT_LAUNCH_GROUPS

  Launch groups extension point identifier (value `"launchGroups"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### EXTENSION_POINT_CONSOLE_LINE_TRACKERS

    public static final String EXTENSION_POINT_CONSOLE_LINE_TRACKERS

  Console line trackers extension point identifier (value `"consoleLineTrackers"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### EXTENSION_POINT_OBJECT_BROWSERS

    public static final String EXTENSION_POINT_OBJECT_BROWSERS

  Variables content providers extension point identifier (value `"variablesContentProviders"`).

  Since:
    3.0
  See Also:
    Constant Field Values

### EXTENSION_POINT_LAUNCH_VARIABLE_COMPONENTS

    public static final String EXTENSION_POINT_LAUNCH_VARIABLE_COMPONENTS

  Launch variable components extension point identifier (value `"launchVariableComponents"`). The launch variable components extension point specifies an `IVariableComponent` for an `IContextLaunchVariable`.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.